> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Declare a breaking Agent deployment change

POST https://api.getzep.com/api/v4/agents/{agent_uuid}/breaking-changes
Content-Type: application/json

Reference: https://docs-beta.getzep.com/sdk-reference/agent/declare-breaking-change

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `agent_uuid` (string, required) — Agent UUID

### Body (application/json)

This endpoint expects a v4.DeclareAgentBreakingChangeRequest.

- `expected_revision` (integer, required)
- `version` (string, required)

## Response

### 200

OK

- `affected_skill_count` (integer, optional)
- `agent_uuid` (string, optional)
- `revision` (integer, optional) — The Agent revision produced by this declaration, stable on replay.
- `uuid` (string, optional)
- `version` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

### 409 Conflict Error

Conflict

- `error` (v4.ErrorBody, optional)

## Types

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Request**

```json
{
  "expected_revision": 1,
  "version": "string"
}
```

**Response**

```json
{
  "affected_skill_count": 1,
  "agent_uuid": "string",
  "revision": 1,
  "uuid": "string",
  "version": "string"
}
```